Subject: Re: bug#9754: Issue with Emacs 23.4

From: Ken Brown <[email-masked]>
Date: Thu, 17 May 2012 14:26:42 -0400

On 5/17/2012 11:02 AM, Stefan Monnier wrote:
>>> So maybe the test
>>> if (inhibit_window_system || !display_arg)
>>> in my patch should be replaced by
>>> if (!x_in_use)
>
> Maybe.  As I said, I'm not familiar enough with that code to really know
> what are the consequences, I just mentioned a few potential problems
> (without even knowing whether they're real).
 >
> So unless someone more knowledgeable can confirm that the patch is
> "obviously safe" I don't want to see it in the emacs-24 branch.

I understand, and I'm no longer proposing the patch for the emacs-24 
branch.  My question is about what should be done in the trunk.  It 
seems to me that it would be better to use x_in_use, and I'm wondering 
if knowledgeable people agree.

Ken